6.0.0-git
2019-04-25

[#14606] 'to' field when composing email
Summary 'to' field when composing email
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester myhermes (at) manesh (dot) co (dot) uk
Created 2017-04-07 (748 days ago)
Due
Updated 2017-10-20 (552 days ago)
Assigned 2017-04-07 (748 days ago)
Resolved 2017-04-27 (728 days ago)
Milestone
Patch No

History
2017-10-20 20:33:45 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 2894569a2a2ff361c1898886717dd46c3ebbb85d
Author: Jan Schneider <jan@horde.org>
Date:   Thu, 27 Apr 2017 22:39:10 +0200

[jan] Fix cursor jumping in some browser when editing address fields 
(Bug #14606).

  M docs/CHANGES
  M package.xml

https://github.com/horde/imp/commit/2894569a2a2ff361c1898886717dd46c3ebbb85d
2017-10-20 20:33:45 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 11be357a86e00e53ad827efc436be18515a3f7f0
Author: Jan Schneider <jan@horde.org>
Date:   Thu, 27 Apr 2017 22:38:14 +0200

Only set input field if the content changed (Bug #14606).

  M js/prettyautocomplete.js

https://github.com/horde/imp/commit/11be357a86e00e53ad827efc436be18515a3f7f0
2017-04-27 21:10:03 Jan Schneider Assigned to Jan Schneider
Taken from Michael Rubinsky
State ⇒ Resolved
 
2017-04-27 21:09:43 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 0a9f38961fe0e2f0a4fe2227525845101ccee0e4
Author: Jan Schneider <jan@horde.org>
Date:   Thu Apr 27 22:39:10 2017 +0200

     [jan] Fix cursor jumping in some browser when editing address 
fields (Bug #14606).

  imp/docs/CHANGES |  6 +++---
  imp/package.xml  | 18 +++++++++++++++++-
  2 files changed, 20 insertions(+), 4 deletions(-)

http://github.com/horde/horde/commit/0a9f38961fe0e2f0a4fe2227525845101ccee0e4
2017-04-27 21:09:43 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 1ce5116e3c5ac8f5aacc56a42df8cab497210643
Author: Jan Schneider <jan@horde.org>
Date:   Thu Apr 27 23:07:18 2017 +0200

     Only set input field if the content changed (Bug #14606).

  imp/js/autocomplete.js | 8 +++++---
  1 file changed, 5 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/1ce5116e3c5ac8f5aacc56a42df8cab497210643
2017-04-27 20:39:24 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 1970318b0f92c2099af0807ea0629d9567bdc8b4
Author: Jan Schneider <jan@horde.org>
Date:   Thu Apr 27 22:39:10 2017 +0200

     [jan] Fix cursor jumping in some browser when editing address 
fields (Bug #14606).

  imp/docs/CHANGES | 2 ++
  imp/package.xml  | 2 ++
  2 files changed, 4 insertions(+)

http://github.com/horde/horde/commit/1970318b0f92c2099af0807ea0629d9567bdc8b4
2017-04-27 20:39:23 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit b23e62e9eb9f4591785d58c9fc4e552ec316382d
Author: Jan Schneider <jan@horde.org>
Date:   Thu Apr 27 22:38:14 2017 +0200

     Only set input field if the content changed (Bug #14606).

  imp/js/prettyautocomplete.js | 7 +++++--
  1 file changed, 5 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/b23e62e9eb9f4591785d58c9fc4e552ec316382d
2017-04-27 20:26:44 Jan Schneider Comment #5 Reply to this comment
Looks like recent Chromium engines set the cursor at the end of an 
input field when setting its value. And we rewrite the content on each 
keystroke. This should probably be dealt with in a general fashion 
within Prototype.js.
2017-04-19 13:09:11 arjen+horde (at) de-korte (dot) org Comment #4 Reply to this comment
Confirmed with these same version of Horde and IMP on Chrome 
57.0.2987.133 and Internet Explorer 11.0.9600.18638, but Firefox ESR 
45.8.0 doesn't seem to be affected.
2017-04-19 12:47:26 michael (dot) menge (at) zdv (dot) uni-tuebingen (dot) de Comment #3 Reply to this comment
Chould reproduce with Chrome, Chromium and Safari with

Horde 5.2.14
IMP 6.2.18
2017-04-07 11:51:25 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
Cannot reproduce with current git.
2017-04-07 10:12:12 myhermes (at) manesh (dot) co (dot) uk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ 'to' field when composing email
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
When composing a new email, if there is a mistake whilst typing the 
addressee in the 'To' field the cursor jumps to the end whilst in the 
middle of the edit.
Steps to reproduce;
1. instigate composing new email.
2. click on the to field edit box
3. type
thisistheemail@testemail.com
4. move cursor to anywhere in the thisistheemail part. In this example 
between character 4 and 5.

5. type
should
6. on the second keystroke, the cursor jumps to the end of the 
addressee edit box
7. thissistheemail@testmail.comhould is the output as opposed to 
thisshouldistheemail@testmail.com.

Saved Queries